<html>
   
   <head>
      <title>Angular JS Controller</title>
      <script src = "https://ajax.googleapis.com/ajax/libs/angularjs/1.3.14/angular.min.js"></script>
      <script src="./bower_components/ngmap/build/scripts/ng-map.min.js"></script>
      <script src="test.js"></script>
      <script src="http://maps.google.com/maps/api/js?key=AIzaSyBCwWBHFM9kBg3y5KTKuVRTJlTmIR_sGSc&libraries=places"></script>
   </head>

   <body>
      <h2>AngularJS Sample Application</h2>

      <div ng-app = "mainApp" ng-controller = "studentController as vm">
         Enter first name: <input type = "text" ng-model = "student.firstName"><br><br>
         Enter last name: <input type = "text" ng-model = "student.lastName"><br>
         <br>

         You are entering: {{student.fullName()}} dan {{googleMapsUrl}} {{poiMarkClick}}
         <div><button id="addPOI" ng-disabled="!poiClicked" ng-click="vm.addMarker(event)">Add POI</button>
         <button id="delPOI" ng-disabled="!poiMarkClicked" ng-click="vm.delMarker(event)">Delete POI</button>
         <button id="delPOI" ng-disabled="dynMarkers.length<2" ng-click="vm.dirMarker(event)">Direction</button></div>
         <div map-lazy-load="https://maps.google.com/maps/api/js"
           map-lazy-load-params="{{googleMapsUrl}}">
           <ng-map center="-6.2534756,106.8428906" zoom="15" on-click="vm.CheckPOI(event)">

              <marker ng-repeat="pos in dynMarkers" position="{{pos.lat}}, {{pos.lng}}" on-click="vm.markerClick(this)"></marker>
           </ng-map>
         </div>
      </div>


      <script>

      </script>
      
   </body>
</html>